pqxx::plpgsql_error Struct Reference
Exception classes

PL/pgSQL error. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::plpgsql_error:
[legend]

## Public Member Functions

| plpgsql_error (std::string const &err, std::string const &Q="", char const sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::sql_error
| sql_error (std::string const &whatarg="", std::string const &Q="", char const sqlstate[]=nullptr)
virtual | ~sql_error () noexcept override
PQXX_PURE std::string const & | query () const noexcept
| The query whose execution triggered the exception.
PQXX_PURE std::string const & | sqlstate () const noexcept
| SQLSTATE error code if known, or empty string otherwise.
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Detailed Description

PL/pgSQL error.

Exceptions derived from this class are errors from PL/pgSQL procedures.

## Constructor & Destructor Documentation

## plpgsql_error()

pqxx::plpgsql_error::plpgsql_error | ( | std::string const & | err,
|  | std::string const & | Q = `""`,
|  | char const | sqlstate[] = `nullptr`
| ) |  |

explicit

The documentation for this struct was generated from the following file:

- except.hxx